Cheers, Ben
Cheers, Ben
Dear Siemens PLM Customer,
NX 12.0.1 Maintenance Pack 3 is now available on the Siemens PLM Download Server. This maintenance pack provides fixes built for installation on top of the Windows 64-Bit image of NX 12.0.1.
To download the release package click on the following link, or enter the URL in your browser's address window:
https://download.industrysoftware.automation.sieme
Note: A valid WebKey account is required.
Entering “12.0.1.mp03” (including the quotes) in the Search box on the Download page returns links to the release package and the release letter.
Alternatively, enter ‘NX’ in the Product Filter on the left of the page, select NX and expand the following folders in the navigator: Product updates > Maintenance-packs > Nx12 > Windows (64-bit).
Sincerely,
Ben Broad
Siemens PLM Software
Hi
Months ago, you taught me curvature comb along WCS axis. Now, months later, you teach me again the dynamic curvature comb along View. I'm really a lousy student!
Hi
Hi
One way is to do a distance check of each point to each curve. Each point has to be close(within some threshold) to two curves. If its only close to 1 curve then delete it.
Regards
Paul
Here is a simple journal to get the radii
Option Strict Off Imports System Imports System.Math Imports NXOpen Imports NXOpen.UF Module TubeFaceData Dim s As Session = Session.GetSession() Dim ufs As UFSession = UFSession.GetUFSession() Sub Main() Dim response1 As Selection.Response = Selection.Response.Cancel Dim theFace As Face = Nothing Dim facetype1 As Integer = Nothing Dim pointdbl(2) As Double Dim dirdbl(2) As Double Dim boxdbl(5) As Double Dim majorRad As Double = Nothing Dim minorRad As Double = Nothing Dim normdir As Integer = Nothing While select_a_face("Select a tube face", theFace) = Selection.Response.Ok ufs.Modl.AskFaceType(theFace.Tag, facetype1) If facetype1 = 19 Then ufs.Modl.AskFaceData(theFace.Tag, facetype1, pointdbl, dirdbl, boxdbl, majorRad, minorRad, normdir) majorRad = Round(majorRad, 4) minorRad = Round(minorRad, 4) MsgBox("Major Radius: " & majorRad.ToString & vbCrLf & "Minor Radius: " & minorRad.ToString) Else MsgBox("Selected face is not TOROIDAL") End If End While End Sub Private Function select_a_face(ByRef prompt As String, ByRef face1 As Face) As Selection.Response Dim mask(0) As Selection.MaskTriple With mask(0) .Type = UFConstants.UF_solid_type .Subtype = 0 .SolidBodySubtype = UFConstants.UF_UI_SEL_FEATURE_ANY_FACE End With Dim cursor As Point3d = Nothing Dim response1 As Selection.Response = Selection.Response.Cancel ' select_a_face = Nothing response1 = UI.GetUI.SelectionManager.SelectTaggedObject(prompt, "Select the Face", Selection.SelectionScope.AnyInAssembly, Selection.SelectionAction.ClearAndEnableSpecific, False, False, mask, face1, cursor) If response1 = Selection.Response.ObjectSelected Or response1 = Selection.Response.ObjectSelectedByName Then Return Selection.Response.Ok ElseIf response1 = Selection.Response.Back Then Return Selection.Response.Back Else Return Selection.Response.Cancel End If End Function Public Function GetUnloadOption(ByVal dummy As String) As Integer GetUnloadOption = NXOpen.Session.LibraryUnloadOption.Immediately End Function End Module
Frank Swinkels
Need to make sure that the expressions are linked to each other and that you set the 'Immediate Update' option in the PTS UI to 'NX Update'
I hope I didn't miss something in between all the postings, but did you try the Point set command?
The "offset region" works fine with text for me but not with another sketch which is wrapped around the cylinder.
Is there any way to make this work well also?
See attached video.
Regards, Michel
I tried with Point set. if the line is straight that is easy. but the gird is included: spine line, arc,...that is difficult.
Hi,
and how to the measured body for assembly?
The selection box on NX12 respect to NX11 is slower.
Hi
you have not understood the original question.
I did choose in the External Signal Configuration: Kepware.KepserverEX.V6
I selected under in this window all the I/O
I have succesfully connected the I/O in the signal mapping window
In the sequence editor i have connected this symbolic to the operations
so far so good.
But when i push the play button i get a Runtime Error window.
Object Severity Display Part Description
Unknown Error Strap_storage2_stp Cannot connect to this OPC Server
Why ?
The External Signal Configuration: No error with the OPC server
Signal Mapping : No error with the OPC server
This is our ER 8251755:
"Automatic zooming to last placed dimension after closing dimension dialogue"
IMHO it was, and still is, the most annoying "enhancement" in years.
I hope somebody in charge reads this thread and finally pulls the trigger to either make it a customer defaults setting or just get rid of it in total. It's a daily little less joy to use dimensioning. And it still is after a few years since its implementation.
FYI: I just looked; I filed this IR/ER 23'rd dec 2014... and its status is "in review" Let's be hopeful
Thanks for all the replies. Most of the suggestions I was already aware of (however, I didn't know I could click on a selected end point to change to another; that's nice!). But what I was hoping for was a little quicker way to reset the dimensioning tool, other than in the dialog box. Where this is helpful is, say, your using the Rapid Dimension tool to dimension some lines and you accidently click on one you didn't want dimensioned. The only way I know of to un-select it, without closing the dialog box, is the reset button on the dialog box. A shift-click on the selected entity doesn't work. Hitting Esc unselects it but also closes the dialog box.
A shift-click is really the logical way to do this (since that's what's used to unselect entities in general), and I imagine there's an ER floating around for it. If anyone know's what it is, I'll add my vote! Thanks again.
If you have continuous auto dimensioning on, and you convert a dimension to reference, you get two reference dimensions (the one you converted and one created by cont. auto dim.). Ok, maybe it's not bug, but definitely not desired behavior. Regardless of whether the dimension is active or reference, auto dim should not add one if one is already there.